> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ringbee.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Rotate Video

> Rotate video by 90, 180, or 270 degrees

<RequestExample>
  ```json Example Request theme={null}
  {
    "input": "https://example.com/video.mp4",
    "angle": 90
  }
  ```

  ```bash File Upload theme={null}
  curl -X POST https://api.ringbee.dev/v1/video/rotate \
    -H "X-API-Key: YOUR_API_KEY" \
    -F "file=@video.mp4" \
    -F "angle=90"
  ```
</RequestExample>

| Param | Type    | Description                             |
| ----- | ------- | --------------------------------------- |
| angle | integer | Rotation angle: 90, 180, or 270 degrees |


## OpenAPI

````yaml POST /v1/video/rotate
openapi: 3.0.3
info:
  title: MediAPI
  description: >-
    Media processing API — video, audio, image, and document transformations via
    simple REST calls.
  version: 1.0.0
servers:
  - url: https://api.ringbee.dev
    description: Production
security:
  - apiKey: []
paths:
  /v1/video/rotate:
    post:
      tags:
        - Video
      summary: Rotate Video
      description: Rotate video by 90, 180, or 270 degrees
      operationId: videoRotate
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              required:
                - input
              properties:
                input:
                  type: string
                  description: Input file URL
                angle:
                  type: integer
                  description: 'Rotation angle: 90, 180, or 270 degrees'
                webhook_url:
                  type: string
                  description: URL to receive job completion notification
          multipart/form-data:
            schema:
              type: object
              required:
                - file
              properties:
                file:
                  type: string
                  format: binary
                  description: Upload file directly
                angle:
                  type: integer
                  description: 'Rotation angle: 90, 180, or 270 degrees'
                webhook_url:
                  type: string
                  description: URL to receive job completion notification
      responses:
        '202':
          description: Job accepted
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/JobResponse'
        '400':
          description: Invalid request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '429':
          description: Usage limit reached
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    JobResponse:
      type: object
      properties:
        id:
          type: string
          example: job_abc123
        status:
          type: string
          enum:
            - pending
            - processing
            - completed
            - failed
            - cancelled
          example: pending
    Error:
      type: object
      properties:
        error:
          type: string
  securitySchemes:
    apiKey:
      type: apiKey
      in: header
      name: X-API-Key

````